{namespace drk=DRK\DrkCoursesearch\ViewHelpers}
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default"/>

<f:section name="content">
    <div class="c-coursesearch c-coursesearch-search">
        <header class="header">
            <h3>{f:translate(id: 'courseResult.form.headline')}</h3>
        </header>
        <f:form action="courseResult" class="o-form c-coursesearch-form" method="get">
            <p>{f:translate(id: 'courseResult.form.description')}</p>
            <div class="form-group">

                    <f:form.select name="courseType" size="1" id="tx-drkcoursesearch-angebote-selectbox"
                                   class="o-form__field o-form__field o-form__field--select" options="{courseList}"
                                   optionValueField="CourseType" optionLabelField="CourseTypeDescription"
                                   prependOptionLabel="{f:translate(id: 'form.course.angebote.I.0')}"
                                   prependOptionValue="0" value="{courseType}"/>
                    <label class="o-form__label" for="tx-drkcoursesearch-angebote-selectbox">
                        {f:translate(id: 'form.course.angebote.label')}
                    </label>
            </div>
            <div class="form-group">
                <f:form.textfield name="zip" class="o-form__field o-form__field o-form__field--text has-value searchbox"
                                  id="tx-drkcoursesearch-angebote-searchbox" value="{zip}"/>
                <label class="o-form__label" for="tx-drkcoursesearch-angebote-searchbox">
                    {f:translate(id: 'courseResult.form.angebote_plz.label')} / {f:translate(id:
                    'courseResult.form.angebote_city.label')}
                </label>
            </div>
            <f:if condition="{searchRangeSelection}">
                <div class="form-group">
                    <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                    <label class="o-form__label" for="iSearchRange">
                        {f:translate(id: 'form.course.range.label')}
                    </label>
                </div>
            </f:if>
            <div class="form-group">
                <f:form.submit name="submit" id="tx-drkcoursesearch-angebote-button-submit"
                               class="button button--primary o-btn o-btn--full"
                               value="{f:translate(id: 'courseResult.form.submit')}"/>
                <f:if condition="{settings.location_search}">
                    <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                        <drk:svgEmbed src="EXT:drk_coursesearch/Resources/Public/Images/icon_gps-indicator.svg" />
                    </a>
                </f:if>
            </div>

        </f:form>

        <div class="c-coursesearch-search__result">
            <f:if condition="{courses}">
                <f:then>
                    <f:format.raw>
                        <p>{f:translate(id: 'courseResult.list.headline', arguments: '{0: preselection.CourseTypeDescription, 1: zip}')}</p>
                    </f:format.raw>
                    <ul class="c-coursesearch-search__result-list">
                    <f:for each="{pagination.paginator.paginatedItems}" as="course" iteration="iterator">
                        <f:render partial="CourseItem" arguments="{course:course}" />
                    </f:for>
                    </ul>

                    <f:render partial="Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator, actionName: 'courseResult'}" />

                </f:then>

                <f:else>
                    <f:if condition="{zipLengthError}">
                        <f:then>
                            <p>{f:translate(id: 'courseResult.list.error')}</p>
                        </f:then>

                        <f:else>
                            <f:if condition="{organisation}">
                                <f:then>
                                    <p>
                                        <f:format.raw>
                                            {f:translate(id: 'courseResult.list.organisation', arguments: '{
                                            0: preselection.CourseTypeDescription,
                                            1: organisation.orgName,
                                            2: organisation.orgZipcode,
                                            3: organisation.orgCity,
                                            4: organisation.orgFon,
                                            5: organisation.orgUrl,
                                            6: \'{organisation.orgLatitude -> f:format.number(decimals: 10,
                                            thousandsSeparator: "")}\',
                                            7: \'{organisation.orgLongitude -> f:format.number(decimals: 10,
                                            thousandsSeparator: "")}\'
                                            }')}
                                        </f:format.raw>
                                    </p>
                                </f:then>

                                <f:else>
                                    <p><f:format.raw>{f:translate(id: 'courseResult.list.noOfferLinks')}</f:format.raw></p>
                                </f:else>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>
